## harlequin-odbc 0.3.0

=== Makefile ===
.PHONY: check
check:
	ruff format .
	ruff check . --fix
	mypy
	pytest

.PHONY: init
init:
	docker-compose up -d

.PHONY: clean
clean:
	docker-compose down

.PHONY: serve
serve:
	harlequin -P None -a odbc "${ODBC_CONN_STR}"

.PHONY: lint
lint:
	ruff format .
	ruff check . --fix
	mypy

=== debian/changelog ===
harlequin-odbc (0.3.0-1) sid; urgency=medium

  * Using codenames in changelog instead of suitenames.
  * Merging upstream version 0.3.0.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Mar 2025 08:19:06 +0100

harlequin-odbc (0.2.0-1) sid; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Feb 2025 20:27:32 +0100

=== debian/control ===
Source: harlequin-odbc
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry,
Rules-Requires-Root: no
Standards-Version: 4.7.1
Homepage: https://harlequin.sh
Vcs-Browser: https://forgejo.debian.net/python/harlequin-odbc
Vcs-Git: https://forgejo.debian.net/python/harlequin-odbc

Package: harlequin-odbc
Section: admin
Architecture: all
Depends:
 python3-textual-fastdatatable,
 ${misc:Depends},
 ${python3:Depends},
Description: database client for the terminal (ODBC adapter)
 Harlequin is a SQL IDE in your terminal. It supports connecting to for DuckDB,
 SQLite, Postgres (also supports Redshift), MySQL/MariaDB, and ODBC
 (supports MS SQL Server, Oracle, and others).
 .
 This package contains the ODBC adapter.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/harlequin-odbc-$1\.tar\.gz/ \
https://github.com/tconbeer/harlequin-odbc/tags .*/v?(\d\S+)\.tar\.gz

## harlequin-odbc 0.3.1

=== debian/changelog ===
harlequin-odbc (0.3.1-2) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 07:48:52 +0200

harlequin-odbc (0.3.1-1) sid; urgency=medium

  * Merging upstream version 0.3.1.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Mar 2025 08:26:56 +0100

harlequin-odbc (0.3.0-2) sid; urgency=medium

  * Updating to standards version 4.7.2.
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Sun, 09 Mar 2025 18:14:33 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  python3-all,
  python3-poetry,
 Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://harlequin.sh
-Vcs-Browser: https://forgejo.debian.net/python/harlequin-odbc
-Vcs-Git: https://forgejo.debian.net/python/harlequin-odbc
+Vcs-Browser: https://forgejo.debian.net/harlequin/harlequin-odbc
+Vcs-Git: https://forgejo.debian.net/harlequin/harlequin-odbc
 
 Package: harlequin-odbc
 Section: admin

=== debian/watch ===
version=4
https://github.com/tconbeer/harlequin-odbc/tags .*/v?(\d.*)@ARCHIVE_EXT@

## harlequin-odbc 0.4.0

=== Makefile ===
.PHONY: check
check:
	uv run ruff format .
	uv run ruff check . --fix
	uv run mypy
	uv run pytest

.PHONY: init
init:
	docker-compose up -d

.PHONY: clean
clean:
	docker-compose down

.PHONY: serve
serve:
	uv run harlequin -P None -a odbc "${ODBC_CONN_STR}"

.PHONY: lint
lint:
	uv run ruff format .
	uv run ruff check . --fix
	uv run mypy

=== debian/changelog ===
harlequin-odbc (0.4.0-1) sid; urgency=medium

  * Adding upstream metadata.
  * Updating homepage field.
  * Removing rules-requires-root, not needed anymore.
  * Updating watch file to version 5.
  * Merging upstream version 0.4.0.
  * Adding newly required python3-hatchling to build-depends.

 -- Daniel Baumann <daniel@debian.org>  Mon, 03 Nov 2025 03:53:52 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-hatchling,
  python3-poetry,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
-Homepage: https://harlequin.sh
+Homepage: https://github.com/tconbeer/harlequin-odbc
 Vcs-Browser: https://forgejo.debian.net/harlequin/harlequin-odbc
 Vcs-Git: https://forgejo.debian.net/harlequin/harlequin-odbc

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=harlequin-odbc

%:
	dh ${@} --buildsystem=pybuild

override_dh_auto_test:
	# disabled
